Hardware Requirements Guide

The FireArrest application can be used on most Android and iOS smartphones/tablets.

Please note – any hardware used that does not meet the minimum requirements to run FireArrest is not a supported platform.

Minimum Requirements

Operating System – Android 5.0+ / iOS 11.0+

Storage – 50MB minimum is required to install and run FireArrest (this excludes any additional storage required for project data)

 

App permissions required

GPS/ Location services

Access to Camera permission

Access to media

Push Notifications

Download FireArrest

FireArrest is available to download by following the links below:

Contact Us

Tel: 0845 4903 901
Email: info@firearrest.com